Skip to main content
POST
Summarise Alert

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for alert AI summary.

alert_id
string
required

Courier message ID for tracking

Minimum string length: 1
entity_id
string
required

Entity UUID (source/destination/pipeline)

Minimum string length: 1
entity_type
enum<string>
required

Type of entity this alert is for

Available options:
sources,
destinations,
pipelines
entity_name
string
required

Human-readable entity name

Minimum string length: 1
alert_state
enum<string>
required

Current alert state (normalized from input)

Available options:
TRIGGERED,
RECOVERED
alert_message
string
required

Alert message content from Courier inbox

Required string length: 1 - 10000
alert_datetime
string
required

When alert was triggered (from Courier payload)

trigger_type
enum<string> | null

Type of trigger that caused this alert (optional - history fetched for all types if omitted)

Available options:
connector_status,
latency,
lag,
no_records,
dlq,
json_column_detected,
transform_status

Response

Successful Response